# download and extraction target dir
#base-dir= moved to $extraction-framework/core/src/main/resources/universal.properties

# Source file. If source file name ends with .gz or .bz2, it is unzipped on the fly.
# Must exist in the directory xxwiki/yyyymmdd and have the prefix xxwiki-yyyymmdd-
# where xx is the wiki code and yyyymmdd is the dump date.

# default:
#source=# moved to $extraction-framework/core/src/main/resources/universal.properties

# use only directories that contain a 'download-complete' file? Default is false.
require-download-complete=false

# List of languages or article count ranges, e.g. 'en,de,fr' or '10000-20000' or '10000-', or '@mappings'
languages=@mappings

# extractor class names starting with "." are prefixed by "org.dbpedia.extraction.mappings"

extractors=.MappingExtractor

#extractors.ar=.MappingExtractor,.TopicalConceptsExtractor
#
#extractors.be=.MappingExtractor
#
#extractors.bg=.MappingExtractor
#
#extractors.bn=.MappingExtractor
#
#extractors.ca=.MappingExtractor,.DisambiguationExtractor,.HomepageExtractor,.TopicalConceptsExtractor
#
#extractors.ced=.MappingExtractor
#
#extractors.commons=.MappingExtractor,.ContributorExtractor,.TemplateParameterExtractor,.FileTypeExtractor,.GalleryExtractor,.ImageAnnotationExtractor,.CommonsKMLExtractor,.DBpediaResourceExtractor
#
#extractors.cs=.MappingExtractor
#
#extractors.cy=.MappingExtractor
#
#extractors.da=.MappingExtractor
#
#extractors.de=.MappingExtractor,.DisambiguationExtractor,.HomepageExtractor,.ImageExtractorNew,.PersondataExtractor,.PndExtractor,.CommonsResourceExtractor
#
#extractors.el=.MappingExtractor,.DisambiguationExtractor,.HomepageExtractor,.ImageExtractorNew,.TopicalConceptsExtractor
#
#extractors.en=.MappingExtractor,.CitationExtractor,.DisambiguationExtractor,.GenderExtractor,.HomepageExtractor,.ImageExtractorNew,.PersondataExtractor,.PndExtractor,.TopicalConceptsExtractor,.AnchorTextExtractor,.CommonsResourceExtractor
#
#extractors.eo=.MappingExtractor
#
#extractors.es=.MappingExtractor,.DisambiguationExtractor,.HomepageExtractor,.ImageExtractorNew,.TopicalConceptsExtractor,.CommonsResourceExtractor
#
#extractors.et=.MappingExtractor
#
#extractors.eu=.MappingExtractor,.DisambiguationExtractor,.HomepageExtractor,.ImageExtractorNew,.TopicalConceptsExtractor
#
#extractors.fa=.MappingExtractor
#
#extractors.fi=.MappingExtractor
#
#extractors.fr=.MappingExtractor,.DisambiguationExtractor,.HomepageExtractor,.ImageExtractorNew,.PndExtractor,.TopicalConceptsExtractor,.fr.PopulationExtractor,.CommonsResourceExtractor
#
#extractors.ga=.MappingExtractor,.HomepageExtractor
#
#extractors.gl=.MappingExtractor
#
#extractors.hi=.MappingExtractor
#
#extractors.hr=.MappingExtractor
#
#extractors.hu=.MappingExtractor
#
#extractors.id=.MappingExtractor
#
#extractors.it=.MappingExtractor,.DisambiguationExtractor,.HomepageExtractor,.ImageExtractorNew,.TopicalConceptsExtractor
#
#extractors.ja=.MappingExtractor,.DisambiguationExtractor,.HomepageExtractor,.ImageExtractorNew,.TopicalConceptsExtractor,.CommonsResourceExtractor
#
#extractors.ko=.MappingExtractor,.DisambiguationExtractor
#
#extractors.lt=.MappingExtractor
#
#extractors.lv=.MappingExtractor
#
#extractors.nl=.MappingExtractor,.DisambiguationExtractor,.ImageExtractorNew,.CommonsResourceExtractor
#
#extractors.mk=.MappingExtractor
#
#extractors.mt=.MappingExtractor
#
#extractors.pl=.MappingExtractor,.DisambiguationExtractor,.HomepageExtractor,.ImageExtractorNew
#
#extractors.pt=.MappingExtractor,.DisambiguationExtractor,.HomepageExtractor,.ImageExtractorNew,.TopicalConceptsExtractor,.CommonsResourceExtractor
#
#extractors.ru=.MappingExtractor,.DisambiguationExtractor,.HomepageExtractor,.ImageExtractorNew,.TopicalConceptsExtractor
#
#extractors.sk=.MappingExtractor
#
#extractors.sl=.MappingExtractor
#
#extractors.sr=.MappingExtractor
#
#extractors.tr=.MappingExtractor
#
#extractors.ur=.MappingExtractor
#
#extractors.vi=.MappingExtractor
#
#extractors.war=.MappingExtractor

#only the raw extractor here: all other wikidata extractors are executed in an separate extraction for wikidata (see: extraction.wikidata.properties)
#extractors.wikidata=.WikidataSameAsExtractor,.WikidataRawExtractor

#extractors.zh=.MappingExtractor

# If we need to Exclude Non-Free Images in this Extraction, set this to true
copyrightCheck=false
